#version 330 core

struct Material {
  sampler2D diffuse1;
  sampler2D specular1;
  float shininess;
};

in vec2 uv_coords;

uniform Material material;
// uniform sampler2D image_texture;

out vec4 color;

void main() {
  color = vec4(vec3(texture(material.diffuse1, uv_coords)), 1.0);
}
